Bug 66406 - New port: sysutils/ntfsprogs - Utilities and library to manipulate NTFS partitions
New port: sysutils/ntfsprogs - Utilities and library to manipulate NTFS parti...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 23:30 UTC by flz
Modified: 2004-05-09 17:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description flz 2004-05-08 23:30:22 UTC
The goals of this project are: create a new Linux kernel driver for the NTFS
file system (v1.2 and later 3.0), user space utilities (e.g. format, ntfs
check, etc.) and a library to avoid code duplication and provide access to
NTFS to other GPLed programs.

WWW: http://linux-ntfs.sourceforge.net/

Fix: --- ntfsprogs-1.9.1.shar begins here. ---



--- ntfsprogs-1.9.1.shar ends here. -----j6qUHw7xewFbOzDoBm9bSSQETC6qfFDEinp3ezBvEZSNyiT4
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ntfsprogs
#	ntfsprogs/pkg-descr
#	ntfsprogs/distinfo
#	ntfsprogs/Makefile
#	ntfsprogs/pkg-plist
#
echo c - ntfsprogs
mkdir -p ntfsprogs > /dev/null 2>&1
echo x - ntfsprogs/pkg-descr
sed 's/^X//' >ntfsprogs/pkg-descr << 'END-of-ntfsprogs/pkg-descr'
XThe goals of this project are: create a new Linux kernel driver for the NTFS
Xfile system (v1.2 and later 3.0), user space utilities (e.g. format, ntfs
Xcheck, etc.) and a library to avoid code duplication and provide access to
XNTFS to other GPLed programs.
X
XWWW: http://linux-ntfs.sourceforge.net/
X
X- Florent Thoumie
Xflz@xbsd.org
END-of-ntfsprogs/pkg-descr
echo x - ntfsprogs/distinfo
sed 's/^X//' >ntfsprogs/distinfo << 'END-of-ntfsprogs/distinfo'
XMD5 (ntfsprogs-1.9.1.tar.gz) = 6f83d5f06dc542a42adc3325d5c3fb6c
XSIZE (ntfsprogs-1.9.1.tar.gz) = 648665
END-of-ntfsprogs/distinfo
echo x - ntfsprogs/Makefile
sed 's/^X//' >ntfsprogs/Makefile << 'END-of-ntfsprogs/Makefile'
X# New ports collection makefile for:	ntfsprogs
X# Date created:				May 8 2004
X# Whom:					Florent Thoumie <flz@xbsd.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ntfsprogs
XPORTVERSION=	1.9.1
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	linux-ntfs
X
XMAINTAINER=	flz@xbsd.org
XCOMMENT=	Utilities and library to manipulate NTFS partitions
X
XGNU_CONFIGURE=	yes
XUSE_GCC=	3.3
XUSE_REINPLACE=	yes
X
XMAN8=		mkntfs.8	\
X		ntfscat.8	\
X		ntfsclone.8	\
X		ntfscluster.8	\
X		ntfsfix.8	\
X		ntfsinfo.8	\
X		ntfslabel.8	\
X		ntfsls.8	\
X		ntfsprogs.8	\
X		ntfsresize.8	\
X		ntfsundelete.8
X
X.if defined(WITH_GNOMEVFS2)
XUSE_GNOME=	gnomevfs2
XPLIST_SUB=	GNOMEVFS2=""
XMAN8+=		libntfs-gnomevfs.8
X.else
XCONFIGURE_ARGS=	--disable-gnome-vfs
XPLIST_SUB=	GNOMEVFS2="@comment "
X.endif
X
X.if !defined(WITH_GNOMEVFS2)
Xpre-everything::
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "You can define the following for additional features:"
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "WITH_GNOMEVFS2  - Installs Gnome-VFS-2.0 libntfs interface.
X	@${ECHO_MSG} ""
X.endif
X
Xpost-patch:
X	${REINPLACE_CMD} -e 's|^transform.*||'	${WRKSRC}/Makefile.in		\
X						${WRKSRC}/libntfs/Makefile.in	\
X						${WRKSRC}/ntfsprogs/Makefile.in
X
X.include <bsd.port.mk>
END-of-ntfsprogs/Makefile
echo x - ntfsprogs/pkg-plist
sed 's/^X//' >ntfsprogs/pkg-plist << 'END-of-ntfsprogs/pkg-plist'
Xbin/ntfscat
Xbin/ntfscluster
Xbin/ntfsfix
Xbin/ntfsinfo
Xbin/ntfsls
X%%GNOMEVFS2%%etc/gnome-vfs-2.0/modules/libntfs.conf
Xinclude/ntfs/attrib.h
Xinclude/ntfs/attrlist.h
Xinclude/ntfs/bitmap.h
Xinclude/ntfs/bootsect.h
Xinclude/ntfs/compat.h
Xinclude/ntfs/compress.h
Xinclude/ntfs/debug.h
Xinclude/ntfs/device.h
Xinclude/ntfs/device_io.h
Xinclude/ntfs/dir.h
Xinclude/ntfs/endians.h
Xinclude/ntfs/gnome-vfs-method.h
Xinclude/ntfs/gnome-vfs-module.h
Xinclude/ntfs/inode.h
Xinclude/ntfs/layout.h
Xinclude/ntfs/lcnalloc.h
Xinclude/ntfs/list.h
Xinclude/ntfs/logfile.h
Xinclude/ntfs/mft.h
Xinclude/ntfs/mst.h
Xinclude/ntfs/runlist.h
Xinclude/ntfs/security.h
Xinclude/ntfs/support.h
Xinclude/ntfs/types.h
Xinclude/ntfs/unistr.h
Xinclude/ntfs/volume.h
X%%GNOMEVFS2%%lib/gnome-vfs-2.0/modules/libntfs-gnomevfs.a
X%%GNOMEVFS2%%lib/gnome-vfs-2.0/modules/libntfs-gnomevfs.la
X%%GNOMEVFS2%%lib/gnome-vfs-2.0/modules/libntfs-gnomevfs.so
X%%GNOMEVFS2%%lib/gnome-vfs-2.0/modules/libntfs-gnomevfs.so.1
X%%GNOMEVFS2%%lib/libntfs.a
X%%GNOMEVFS2%%lib/libntfs.la
X%%GNOMEVFS2%%lib/libntfs.so
X%%GNOMEVFS2%%lib/libntfs.so.5
Xsbin/mkntfs
Xsbin/ntfsclone
Xsbin/ntfslabel
Xsbin/ntfsresize
Xsbin/ntfsundelete
X@dirrm include/ntfs
END-of-ntfsprogs/pkg-plist
exit
How-To-Repeat: 
N/A
Comment 1 nork freebsd_committer 2004-05-09 17:06:23 UTC
State Changed
From-To: open->closed

Committed, thanks!